# Rename this distribution example file to motion.conf
#
# This config file was generated by motion 3.1.18


############################################################
# Daemon
############################################################

#Start in daemon (background) mode and release terminal (default: off)
daemon on


###########################################################
# Capture device options
############################################################

#Videodevice to be used for capturing  (default /dev/video0)
#for FreeBSD default is /dev/bktr0
videodevice /dev/video0

#Tuner device to be used for capturing using tuner as source (default /dev/tuner0)
#This is ONLY used for FreeBSD. Leave it commented out for Linux
; tunerdevice /dev/tuner0

#The video input to be used (default: 8)
#Should normally be set to 1 for video/TV cards, and 8 for USB cameras
# informar o numero da entrada
#input 3

#The video norm to use (only for video capture and TV tuner cards)
#Values: 0 (PAL), 1 (NTSC), 2 (SECAM), 3 (PAL NC no colour). Default: 0 (PAL)
norm 1

#The frequency to set the tuner to (kHz) (only for TV tuner cards) (default: 0)
frequency 0

#Rotate image this number of degrees. The rotation affects all saved images as
#well as mpeg movies. Valid values: 0 (default = no rotation), 90, 180 and 270.
rotate 0

#Image width (pixels). Valid range: Camera dependent, default: 352
width 320

#Image height (pixels). Valid range: Camera dependent, default: 288
height 240

#Maximum number of frames to be captured per second.
#Valid range: 2-100. Default: 100 (almost no limit).
framerate 3

#URL to use if you are using a network camera, size will be autodetected (incl http://)
#Must be a URL that returns single jpeg pictures or a raw mjpeg stream. Default: Not defined
; netcam_url value

#Username and password for network camera (only if required). Default: not defined
#Syntax is user:password
; netcam_userpass value

#Let motion regulate the brightness of a video device (default: off)
#Only recommended for cameras without auto brightness
auto_brightness off

#Set the initial brightness of a video device.
#Valid range 0-255, default 0 = disabled
brightness 128

#Set the contrast of a video device.
#Valid range 0-255, default 0 = disabled
contrast 170

#Set the saturation of a video device.
#Valid range 0-255, default 0 = disabled
saturation 150

#Set the hue of a video device (NTSC feature).
#Valid range 0-255, default 0 = disabled
hue 10

############################################################
# Round Robin (multiple inputs on same video device name)
############################################################

#Number of frames to capture in each roundrobin step (default: 1)
roundrobin_frames 1

#Number of frames to skip before each roundrobin step (default: 1)
roundrobin_skip 2

#Try to filter out noise generated by roundrobin (default: 0)
switchfilter on


############################################################
# Motion Detection Settings:
############################################################

#Threshold for number of changed pixels in an image that
#triggers motion detection (default: 1500)
threshold 200

#Automatically tune the threshold down if possible (default: on)
threshold_tune on

#Noise threshold for the motion detection (default: 32)
noise_level 32

#Automatically tune the noise threshold (default: on)
noise_tune on

#Enables motion to adjust its detection/noise level for very dark frames
#Don't use this with noise_tune on. (default: off)
night_compensate off

#Despeckle motion image using (e)rode or (d)ilate or (l)abel (Default: not defined)
#Recommended value is EedDl. Any combination (and number of) of E, e, d, and D is valid.
#(l)abeling must only be used once and as the last letter.
#Comment out to disable
despeckle EedDl

#PGM file to use as a sensitivity mask.
#Full path name to. (Default: not defined)
; mask_file value

#Dynamically create a mask file during operation (default: 0)
#Adjust speed of mask changes from 0 (off) to 10 (fast)
smart_mask_speed 0

#Ignore sudden massive light intensity changes given as a percentage of the picture
#area that changed intensity. Valid range: 0 - 100 , default: 0 = disabled
lightswitch 50

#Picture frames must contain motion at least the specified number of frames
#in a row before they are detected as true motion. At the default of 1, all
#motion is detected. Valid range: 1 to thousands, recommended 1-10
minimum_motion_frames 1

#Specifies the number of pre-captured (buffered) pictures from before motion
#was detected that will be output at motion detection (default: 0)
pre_capture 0

#Number of frames to capture after motion is no longer detected (default: 0)
post_capture 3

#Minimum gap between two events (seconds) (default: 60)
#An event is defined as a series of motion images taken within a short timeframe.
gap 60

#Minimum gap in seconds between the storing pictures while detecting motion.
#Default: 0 = as fast as possible (given by the camera framerate)
minimum_gap 0

#Maximum length in seconds of an mpeg movie
#When value is exceeded a new mpeg file is created. (Default: 0 = infinite)
max_mpeg_time 0

#Number of frames per second to capture when not detecting
#motion (saves CPU load) (Default: 0 = disabled)
low_cpu 0

#Always save images even if there was no motion (default: off)
output_all off


############################################################
# Image File Output
############################################################

#Output 'normal' pictures when motion is detected (default: on)
#Valid values: on, off, first
#When set to 'first', only the first picture of an event is saved.
#Can be used as preview shot for the corresponding movie.
output_normal on

#Output pictures with only the pixels moving object (green ghost images) (default: off)
output_motion off

#The quality (in percent) to be used by the jpeg compression (default: 75)
quality 75

#Output ppm images instead of jpeg (default: off)
ppm off


############################################################
# Film (mpeg) File Output - ffmpeg based
############################################################

#Use ffmpeg to encode mpeg movies in realtime (default: off)
ffmpeg_cap_new on

#Use ffmpeg to make movies with only the pixels moving
#object (green ghost images) (default: off)
ffmpeg_cap_motion off

#Use ffmpeg to encode a timelapse movie 
#Default value 0 = off - else save frame every Nth second
ffmpeg_timelapse 0

#The file rollover mode of the timelapse video
#Valid values: hourly, daily (default), weekly-sunday, weekly-monday, monthly, manual
ffmpeg_timelapse_mode daily

#Bitrate to be used by the ffmpeg encoder (default: 400000)
#This option is ignored if ffmpeg_variable_bitrate is not 0 (disabled)
ffmpeg_bps 500000

#Enables and defines variable bitrate for the ffmpeg encoder.
#ffmpeg_bps is ignored if variable bitrate is enabled.
#Valid values: 0 (default) = fixed bitrate defined by ffmpeg_bps,
#or the range 2 - 31 where 2 means best quality and 31 is worst.
ffmpeg_variable_bitrate 0

#Codec to used by ffmpeg for the video compression.
#Timelapse mpegs are always made in mpeg1 format independent from this option.
#Supported formats are: mpeg1 (ffmpeg-0.4.8 only), mpeg4 (default), and msmpeg4.
#mpeg1 gives you files with extension .mpg
#mpeg4 or msmpeg4 give you files with extension .avi
#msmpeg4 is recommended for use with Windows Media Player because
#it requires no installation of codec on the Windows client.
ffmpeg_video_codec mpeg4


############################################################
# Snapshots (Traditional Periodic Webcam File Output)
############################################################

#Make automated snapshot every N seconds (default: 0 = disabled)
snapshot_interval 0


############################################################
# Text Display
# %Y = year, %m = month, %d = date,
# %H = hour, %M = minute, %S = second, %T = HH:MM:SS
# %v = event, %q = frame number, \n = new line
# You can put quotation marks around the text to allow
# leading spaces
############################################################

#Locate and draw a box around the moving object (default: off)
locate off

#Draws the timestamp using same options as C function strftime(3)
#Default: %Y-%m-%d\n%T = date in ISO format and time in 24 hour clock
#Text is placed in lower right corner
text_right %Y-%m-%d\n%T-%q

#Draw a user defined text on the images using same options as C function strftime(3)
#Default: Not defined = no text
#Text is placed in lower left corner
; text_left value

#Draw the number of changed pixed on the images (default: off)
#Will normally be set to off except when you setup and adjust the motion settings
#Text is placed in upper right corner
text_changes off


############################################################
# Target Directories and filenames For Images And Films
# For the options snapshot_, jpeg_, mpeg_ and timelapse_filename
# you can use conversion specifiers
# %Y = year, %m = month, %d = date,
# %H = hour, %M = minute, %S = second,
# %v = event, %q = frame number
# Quotation marks round string are allowed.
############################################################

#Target base directory for pictures and films
#target_dir /usr/local/apache2/htdocs/cam1
target_dir /mmedia/camera

#File path for snapshots (jpeg or ppm) relative to target_dir
#Default: %v-%Y%m%d%H%M%S-snapshot
#Default value is equivalent to legacy oldlayout option
#For Motion 3.0 compatible mode choose: %Y/%m/%d/%H/%M/%S-snapshot
#File extension .jpg or .ppm is automatically added so do not include this.
#Note: A symbolic link called lastsnap.jpg created in the target_dir will always
#point to the latest snapshot, unless snapshot_filename is exactly 'lastsnap'
snapshot_filename %v-%Y%m%d%H%M%S-snapshot

#File path for motion triggered images (jpeg or ppm) relative to target_dir
#Default: %v-%Y%m%d%H%M%S-%q
#Default value is equivalent to legacy oldlayout option
#For Motion 3.0 compatible mode choose: %Y/%m/%d/%H/%M/%S-%q
#File extension .jpg or .ppm is automatically added so do not include this
jpeg_filename %v-%Y%m%d%H%M%S-%q

#File path for motion triggered ffmpeg films (mpeg) relative to target_dir
#Default: %v-%Y%m%d%H%M%S
#Default value is equivalent to legacy oldlayout option
#For Motion 3.0 compatible mode choose: %Y/%m/%d/%H%M%S
#File extension .mpg or .avi is automatically added so do not include this
#ffmpeg_filename %v-%Y%m%d%H%M%S
ffmpeg_filename %Y%m%d%H%M%S-%v

#File path for timelapse mpegs relative to target_dir
#Default: %Y%m%d-timelapse
#Default value is near equivalent to legacy oldlayout option
#For Motion 3.0 compatible mode choose: %Y/%m/%d-timelapse
#File extension .mpg or .avi is automatically added so do not include this
timelapse_filename %Y%m%d-timelapse


############################################################
# Live Webcam Server
############################################################

#The mini-http server listens to this port for requests (default: 0 = disabled)
webcam_port 8081

#Quality of the jpeg images produced (default: 30)
webcam_quality 60

#Only output frames if motion is detected (default: off)
webcam_motion off

#Maximum framerate for webcam streams (default: 100)
webcam_maxrate 30

#Restrict webcam connections to localhost only (default: on)
webcam_localhost off

#Limits the number of images per connection (default: 0 = unlimited)
#Number can be defined by multiplying actual webcam rate by desired number of seconds
#Actual webcam rate is the smallest of the numbers framerate and webcam_maxrate
webcam_limit 0


############################################################
# XML-RPC Based Control
############################################################

#TCP/IP port for the xml-rpc server to listen on (default: 0 = disabled)
control_port 8080

#Restrict control connections to localhost only (default: on)
control_localhost off


############################################################
# Tracking (Pan/Tilt)
############################################################

#Type of tracker (0=none (default), 1=stepper, 2=iomojo, 3=pwc)
track_type 0

#Serial port of motor (default: none)
; track_port value

#Motor number for x-axis (default: -1)
track_motorx -1

#Maximum value on x-axis (default: 0)
track_maxx 0

#ID of an iomojo camera if used (default: 0)
track_iomojo_id 0

#Speed to set the motor to (default: 255)
track_speed 255

#Number of steps to make (default: 40)
track_stepsize 0


############################################################
# External Commands, Warnings and Logging:
############################################################

#Output less information and don't sound beeps when detecting motion (default: off)
quiet on

#Always display the difference between captured and reference frame (default: off)
#always_changes off

#Email address to send a warning to when detecting motion (default: none)
; mail value

#External command to be executed when detecting motion (default: none)
; execute value

#Number to send an sms to with sms_client (default: none)
; sms value

#Command to be executed each time an image is saved (default: none)
; onsave value

#Command to be executed each time an mpeg movie is created (default: none)
; onmpeg value

#Command to be executed each time a file generated by ffmpeg is closed (default: none)
; onffmpegclose value


############################################################
# Common Options For MySQL and PostgreSQL database features.
# Options require the MySQL/PostgreSQL options to be active also.
############################################################

#Log to the database when creating motion triggered image file  (default: on)
#sql_log_image on

#Log to the database when creating a snapshot image file (default: on)
#sql_log_snapshot on

#Log to the database when creating motion triggered mpeg file (default: off)
#sql_log_mpeg off

#Log to the database when creating timelapse mpeg file (default: off)
#sql_log_timelapse off


############################################################
# Database Options For MySQL
############################################################

#Mysql database to log to (default: not defined)
; mysql_db value

#The host on which the database is located (default: not defined)
; mysql_host value

#User account name for MySQL database (default: not defined)
; mysql_user value

#User password for MySQL database (default: not defined)
; mysql_password value


############################################################
# Database Options For PostgreSQL
############################################################

#PostgreSQL database to log to (default: not defined)
; pgsql_db value

#The host on which the database is located (default: not defined)
; pgsql_host value

#User account name for PostgreSQL database (default: not defined)
; pgsql_user value

#User password for PostgreSQL database (default: not defined)
; pgsql_password value

#Port on which the PostgreSQL database is located (default: 5432)
; pgsql_port 5432


############################################################
# Video Loopback Device (vloopback project)
############################################################

#Output images to a video4linux loopback device
#The value '-' means next available (default: not defined)
#video_pipe /dev/video4

#Output motion images to a video4linux loopback device
#The value '-' means next available (default: not defined)
; motion_video_pipe value


############################################################
# Debugging for Programmers - Ignore
# Thread Config Files - One for each camera
# If Only One Camera - Use default values in this file
############################################################

#Debug option for programmers - not normally used
debug_parameter 0

thread /usr/local/etc/thread1.conf
thread /usr/local/etc/thread2.conf
thread /usr/local/etc/thread3.conf
#thread /usr/local/etc/thread4.conf

